GET /contacts
Retrieves client contacts. Parameters:| Parameter | Default | Description |
|---|---|---|
contactId | - | Returns specific contact |
includeDeleted | - | Returns deleted contacts |
| Field | Type | Notes |
|---|---|---|
ContactId | integer | |
Title | string | |
FirstName | string | |
LastName | string | |
Organisation | string | |
Description | string | |
Position | string | |
DefaultContactType | string | |
EmailWork | string | |
EmailPersonal | string | |
Mobile | string | |
MobileOther | string | |
Address1 | string | |
Address2 | string | |
Suburb | string | |
State | string | |
PostCode | string | |
Skype | string | |
OtherContact | string | |
Area1, Phone1, Ext1 | string | Phone line 1 |
Area2, Phone2, Ext2 | string | Phone line 2 |
Area3, Phone3, Ext3 | string | Phone line 3 |
Note | string | |
AccountNote | string | |
DOB | string | Date |
HaccSlk | string | |
HaccGender | string | |
HaccDobEst | integer | |
HaccCountryOfBirth | string | |
HaccLanguage | string | |
HaccIndigenous | string | |
HaccState | string | |
HaccResidency | string | |
HaccRelationship | string | |
HaccMoreThanOne | string | |
PersonalContact | integer | 0/1 |
vClient | integer | 0/1 |
WebID | string | |
AppRequest | integer | 0/1 |
AppBudget | integer | 0/1 |
AppDoc | integer | 0/1 |
AppExpense | integer | 0/1 |
AppQuote | integer | 0/1 |
AppMsg | integer | 0/1 |
AppForm | integer | 0/1 |
AppSign | integer | 0/1 |
AppShowSWNote | integer | 0/1 |
Status | string | |
_CreateTime | string | Date |
_CreateUser | string | |
ContactLink | object | Present only when the contact is linked. Keys CLIENT, LEAD, AGENCY, LOCATION, each an array of integer IDs |
